- Undelete a web audit
Get list of web audits
Get audit notes by ID
Update audit notes
run audit now
Get audit configuration info for specified audit run
Get all the consent categories assigned to an audit
Update the consent categories assigned to an audit
Retrieve all consent categories snapshots that are applied to a specific audit run.
Reprocess consent-category for the selected auditId and runIds
Get latest runs for web audits
Undelete a web audit
PATCH /v3/web-audits/undelete
Restore a single archived audit into a chosen destination Folder and Sub-folder. The original parents are not reinstated. Historical run data is not restored. Per-item outcomes (including destination_gone and already_restored) are returned in the 200 response body; only authentication and authorization failures use 401/403.
Security
API_Key
PATCH
curl -i -X PATCH \
https://api.observepoint.com/v3/web-audits/undelete \
-H 'Authorization: YOUR_API_KEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"id": 0,
"folderId": 0,
"subFolderId": 0
}'Response
{ "id": 0, "status": "restored", "folderId": 0, "subFolderId": 0, "code": "destination_gone", "reason": "string" }